Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete vector store

DELETE
/vector_stores/{vector_store_id}

Delete a vector store.

Path Parameters
vector_store_id: string
Returns
VectorStoreDeleted object { id, deleted, object }
id: string
deleted: boolean
object: "vector_store.deleted"

Delete vector store

curl https://api.tpg-oai.studydeckedu.com/v1/vector_stores/vs_abc123 \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -H "OpenAI-Beta: assistants=v2" \
  -X DELETE
{
  "id": "vs_abc123",
  "object": "vector_store.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "vs_abc123",
  "object": "vector_store.deleted",
  "deleted": true
}